## kaccounts-integration 15.12.3

=== CMakeLists.txt ===
project(KAccounts)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 1.0.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

enable_testing()

set(KDE_APPLICATIONS_VERSION_MAJOR "15")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KACCOUNTS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
set(KACCOUNTS_SOVERSION "1")
set(REQUIRED_QT_VERSION "5.2.0")
set(REQUIRED_KF5_VERSION "5.4.0")
set(ACCOUNTSQT_DEP_VERSION "1.10")
set(SIGNONQT_DEP_VERSION "8.55")

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets)
find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED KCMUtils I18n CoreAddons DBusAddons Declarative)
find_package(AccountsQt5 ${ACCOUNTSQT_DEP_VERSION} REQUIRED CONFIG)
find_package(SignOnQt5 ${SIGNONQT_DEP_VERSION} REQUIRED CONFIG)

add_definitions (-fexceptions
                 -DQT_NO_KEYWORDS)

add_definitions(-DTRANSLATION_DOMAIN=\"kaccounts-integration\")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(KDECompilerSettings)
include(ECMInstallIcons)
include(FeatureSummary)

include_directories(${ACCOUNTSQT_INCLUDE_DIRS} ${SIGNONQT_INCLUDE_DIRS})

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/lib/CMakeLists.txt ===
project (kaccounts-support-library)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KAccounts")

include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(KDECMakeSettings)

ecm_setup_version(${KACCOUNTS_VERSION}
  VARIABLE_PREFIX KACCOUNTS
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kaccounts_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KAccountsConfigVersion.cmake"
  SOVERSION ${KACCOUNTS_SOVERSION})

set (kaccountslib_SRCS
     kaccountsuiplugin.cpp
     kaccountsdplugin.cpp
     getcredentialsjob.cpp
     core.cpp
)


add_library (kaccounts SHARED
             ${kaccountslib_SRCS}
)

target_link_libraries (kaccounts
    PUBLIC
        KF5::CoreAddons
        ${ACCOUNTSQT_LIBRARIES}
        Qt5::Xml
        Qt5::Gui
    PRIVATE
        ${SIGNONQT_LIBRARIES}
)

target_include_directories(kaccounts INTERFACE "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}/KAccounts>" PUBLIC "${ACCOUNTSQT_INCLUDE_DIRS}" PRIVATE "${SIGNONQT_INCLUDE_DIRS}")
set_target_properties(kaccounts PROPERTIES VERSION   ${KACCOUNTS_VERSION}
                                           SOVERSION ${KACCOUNTS_SOVERSION}
                                           EXPORT_NAME KAccounts
)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KAccountsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KAccountsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "KAccountsMacros.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KAccountsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KAccountsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(TARGETS kaccounts EXPORT KAccountsTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(EXPORT KAccountsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KAccountsTargets.cmake ) #NAMESPACE KF5::

install (FILES
        core.h
        getcredentialsjob.h
        kaccountsuiplugin.h
        kaccountsdplugin.h
        kaccounts_export.h
        ${CMAKE_CURRENT_BINARY_DIR}/kaccounts_version.h
        DESTINATION ${INCLUDE_INSTALL_DIR}/KAccounts COMPONENT Devel
)

add_subdirectory(cmake)

## kaccounts-integration 15.08.2

=== debian/changelog ===
kaccounts-integration (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Fix install file. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:53:28 +0100

kaccounts-integration (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:13:27 +0100

kaccounts-integration (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Remove akonadi build-dep on advise of upstream author
    <mck182> the
    code is so outdated that I don't even believe it works these days

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Sep 2015 14:49:01 +0100

kaccounts-integration (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 16:59:47 +0100

kaccounts-integration (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Update symbols: mark as optional symbols gone after building with
    GCC 5

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:30:34 +0100

kaccounts-integration (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release.

  [ Scarlett Clark ]
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Jun 2015 19:00:27 +0200

=== debian/control ===
Source: kaccounts-integration
Section: kde
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kio-dev,
               libaccounts-qt5-dev,
               libkf5config-dev,
               libkf5contacts-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5gapi-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5package-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libqt5webkit5-dev,
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kaccounts-integration.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kaccounts-integration.git

Package: libkaccounts1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kaccounts-providers
Breaks: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Replaces: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Description: library to administer web accounts
 For the sites and services across the Plasma desktop.

Package: libkaccounts-dev
Section: libdevel
Architecture: any
Depends: libaccounts-qt5-dev,
         libkaccounts1 (= ${binary:Version}),
         libkf5coreaddons-dev,
         libsignon-qt5-dev,
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Replaces: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Description: library to administer web accounts - development files
 For the sites and services across the Plasma desktop.
 .
 This package contains development files.

Package: qml-module-org-kde-kaccounts
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: system to administer web accounts - QML module
 For the sites and services across the Plasma desktop.
 .
 This package contains the QML module.

Package: kaccounts-integration
Architecture: any
Depends: signon-kwallet-extension,
         signon-plugin-oauth2,
         signon-plugin-password,
         signon-ui-x11,
         signond,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kaccounts-providers
Description: system to administer web accounts
 For the sites and services across the Plasma desktop.

Package: kaccounts-integration-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kaccounts-integration (= ${binary:Version}), ${misc:Depends}
Description: system to administer web accounts - debug symbols
 For the sites and services across the Plasma desktop.
 .
 This package contains debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kaccounts-integration-dbg

.PHONY: override_dh_auto_test

## kaccounts-integration 15.12.3

=== debian/changelog ===
kaccounts-integration (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Add upstream_allow_install_other_providers.patch (LP: #1451728) 
  * Add the file... 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:57:59 -0700

kaccounts-integration (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes.
  * Actually bump the version...
  * Fix install file. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:26:15 +0100

kaccounts-integration (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:32:35 +0000

kaccounts-integration (15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release.
  * Add libkf5declarative-dev to Build-Depends.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:16:41 +0100

kaccounts-integration (15.08.3-1) unstable; urgency=medium

  * New upstream release.
  * Change my email address back
  * Update symbols file with new symbols.

 -- Diane Trout <diane@ghic.org>  Fri, 04 Dec 2015 10:55:04 -0800

kaccounts-integration (15.08.1-1) unstable; urgency=medium
  [ Maximiliano Curia ]
  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).

  [ Diane Trout ]
  * New upstream release (15.04.3).
  * Add support for running unit tests.
    - add xauth and xvfb to Build-Depends.
    - override_dh_auto_test to manually run ctest
      because the test kaccounts-testnetattachjobs
      configures kwallet which opens up a GUI for
      configuring, and unlocking the wallet.
      The "cd obj-*" to change to the build directory
      should be fixed.
  * Update libkaccounts1.install for new library filename
  * Add KDE's unstable release url.
  * New upstream release (15.08.0).
  * New upstream release (15.08.1).
  * Add qtdeclarative5-dev to build-dependes
  * Add myself to uploaders
  * Add qml-module-org-kde-kaccounts package.
  * Add libaccounts-qt5-dev, libkf5coreaddons-dev, libsignonq-qt5-dev
    dependencies to libkaccounts-dev.
  * Add signon-plugin-password and signon-ui-x11 dependencies to
    kaccounts-integration. (To match kubuntu)
  * Add --list-missing to dh_install to make sure everything installed.

 -- Diane Trout <diane@debian.org>  Sun, 20 Sep 2015 22:21:04 -0700

=== debian/control ===
Source: kaccounts-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0~),
               kio-dev (>= 5.4.0~),
               libaccounts-qt5-dev (>= 1.10~),
               libkf5config-dev (>= 5.4.0~),
               libkf5coreaddons-dev (>= 5.4.0~),
               libkf5dbusaddons-dev (>= 5.4.0~),
               libkf5declarative-dev,
               libkf5i18n-dev (>= 5.4.0~),
               libkf5iconthemes-dev (>= 5.4.0~),
               libkf5kcmutils-dev (>= 5.4.0~),
               libkf5wallet-dev (>= 5.4.0~),
               libkf5widgetsaddons-dev (>= 5.4.0~),
               libsignon-qt5-dev (>= 8.55~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.2.0~),
               xauth,
               xvfb
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kaccounts-integration.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kaccounts-integration.git

Package: libkaccounts1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kaccounts-providers
Breaks: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Replaces: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Description: System to administer web accounts - shared library
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains the shared library.

Package: libkaccounts-dev
Section: libdevel
Architecture: any
Depends: libaccounts-qt5-dev (>= 1.10~),
         libkaccounts1 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.4.0~),
         libsignon-qt5-dev (>= 8.55~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Replaces: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Description: System to administer web accounts - development files
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains development files.

Package: qml-module-org-kde-kaccounts
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAccounts QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KAccounts components written
 in QML.

Package: kaccounts-integration
Architecture: any
Depends: libkaccounts1 (= ${binary:Version}),
         signon-kwallet-extension,
         signon-plugin-oauth2,
         signon-plugin-password,
         signon-ui-x11,
         signond,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kaccounts-providers
Description: System to administer web accounts
 Small system to administer web accounts for the sites and services
 across the Plasma desktop, including: Google, Facebook, Owncloud, IMAP,
 Jabber and others.

Package: kaccounts-integration-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kaccounts-integration (= ${binary:Version}), ${misc:Depends}
Description: system to administer web accounts - debug symbols
 For the sites and services across the Plasma desktop.
 .
 This package contains debug symbols.

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,8 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=kaccounts-integration-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	cd obj-* ; xvfb-run -a ctest -E kaccounts-testnetattachjobs
+
+override_dh_install:
+	dh_install --list-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kaccounts-integration-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kaccounts-integration-([\d.]+).tar.xz

## kaccounts-integration 16.04.3

=== debian/changelog ===
kaccounts-integration (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * DO a ppa build to test. 
  * Add upstream_enforce_accounts-glib_version.patch 
  * Remove above patch and bump depends in control instead. 
  * Add dependency libaccounts-glib closes: (LP: 1451728) 
  * Fix patch to actually match this tag. 
  * New upstream release, remove all of the above applied upstream. 
  * Add missing dep pkgconfig. 
  * Use pkg-config. 
  * Bump SO version install file. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:27:55 +0200

kaccounts-integration (4:15.12.3-0ubuntu2) xenial; urgency=medium

  * Add upstream_require_accountsqt_version.patch 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 23 Apr 2016 09:55:30 -0700

kaccounts-integration (15.12.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release.
  * Add libkf5declarative-dev to Build-Depends.
  * New upstream release (15.12.1).

  [ Diane Trout ]
  * Update vcs urls to use secure urls.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,30 @@
 Uploaders: Diane Trout <diane@ghic.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.0.0~),
-               kio-dev (>= 5.4.0~),
-               libaccounts-qt5-dev (>= 1.10~),
-               libkf5config-dev (>= 5.4.0~),
-               libkf5coreaddons-dev (>= 5.4.0~),
-               libkf5dbusaddons-dev (>= 5.4.0~),
-               libkf5declarative-dev,
-               libkf5i18n-dev (>= 5.4.0~),
-               libkf5iconthemes-dev (>= 5.4.0~),
-               libkf5kcmutils-dev (>= 5.4.0~),
-               libkf5wallet-dev (>= 5.4.0~),
-               libkf5widgetsaddons-dev (>= 5.4.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libaccounts-glib-dev (>= 1.21~),
+               libaccounts-qt5-dev (>= 1.13~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5declarative-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5wallet-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
                libsignon-qt5-dev (>= 8.55~),
+               pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.2.0~),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
                xauth,
                xvfb
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kaccounts-integration.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kaccounts-integration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
 
 Package: libkaccounts1
 Section: libs
@@ -45,7 +47,7 @@
 Package: libkaccounts-dev
 Section: libdevel
 Architecture: any
-Depends: libaccounts-qt5-dev (>= 1.10~),
+Depends: libaccounts-qt5-dev (>= 1.13~),
          libkaccounts1 (= ${binary:Version}),
          libkf5coreaddons-dev (>= 5.4.0~),
          libsignon-qt5-dev (>= 8.55~),
@@ -83,13 +85,3 @@
  Small system to administer web accounts for the sites and services
  across the Plasma desktop, including: Google, Facebook, Owncloud, IMAP,
  Jabber and others.
-
-Package: kaccounts-integration-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: kaccounts-integration (= ${binary:Version}), ${misc:Depends}
-Description: system to administer web accounts - debug symbols
- For the sites and services across the Plasma desktop.
- .
- This package contains debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='kaccounts-integration-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	cd obj-* ; xvfb-run -a ctest -E kaccounts-testnetattachjobs

override_dh_install:
	dh_install --list-missing

## kaccounts-integration 16.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,20 +8,37 @@
 
 enable_testing()
 
-set(KDE_APPLICATIONS_VERSION_MAJOR "15")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
+set(KDE_APPLICATIONS_VERSION_MAJOR "16")
+set(KDE_APPLICATIONS_VERSION_MINOR "08")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 set(KACCOUNTS_SOVERSION "1")
 set(REQUIRED_QT_VERSION "5.2.0")
 set(REQUIRED_KF5_VERSION "5.4.0")
-set(ACCOUNTSQT_DEP_VERSION "1.10")
+set(ACCOUNTSQT_DEP_VERSION "1.13")
 set(SIGNONQT_DEP_VERSION "8.55")
+set(ACCOUNTSGLIB_DEP_VERSION "1.21")
 
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets)
 find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED KCMUtils I18n CoreAddons DBusAddons Declarative)
-find_package(AccountsQt5 ${ACCOUNTSQT_DEP_VERSION} REQUIRED CONFIG)
-find_package(SignOnQt5 ${SIGNONQT_DEP_VERSION} REQUIRED CONFIG)
+
+find_package(AccountsQt5 ${ACCOUNTSQT_DEP_VERSION} CONFIG)
+set_package_properties(AccountsQt5 PROPERTIES DESCRIPTION "Accounts management library for Qt applications"
+   URL "https://gitlab.com/accounts-sso/libaccounts-qt"
+   TYPE REQUIRED
+   PURPOSE "Required for building this module")
+
+find_package(SignOnQt5 ${SIGNONQT_DEP_VERSION} CONFIG)
+set_package_properties(SignOnQt5 PROPERTIES DESCRIPTION "D-Bus service which performs user authentication on behalf of its clients"
+   URL "https://gitlab.com/accounts-sso/signond"
+   TYPE REQUIRED
+   PURPOSE "Required for building this module")
+
+find_package(LibAccountsGlib ${ACCOUNTSGLIB_DEP_VERSION})
+set_package_properties(LibAccountsGlib PROPERTIES DESCRIPTION "GLib-based client library for the accounts database"
+   URL "https://gitlab.com/accounts-sso/libaccounts-glib"
+   TYPE REQUIRED
+   PURPOSE "Required for building this module")
 
 add_definitions (-fexceptions
                  -DQT_NO_KEYWORDS)
@@ -30,8 +47,8 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
-include(KDECompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
 include(FeatureSummary)

=== debian/changelog ===
kaccounts-integration (16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:54:31 +0100

kaccounts-integration (16.08.2-1) unstable; urgency=medium

  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:04:42 +0200

kaccounts-integration (16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 09:39:04 +0200

kaccounts-integration (16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files with the logs from the buildds
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add pkg-config build dependency
  * Add new build dependency libaccounts-glib-dev
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 10:50:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,30 @@
 Uploaders: Diane Trout <diane@ghic.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 1.0.0~),
+               kio-dev (>= 5.4.0~),
                libaccounts-glib-dev (>= 1.21~),
                libaccounts-qt5-dev (>= 1.13~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5dbusaddons-dev (>= 5.24.0~),
-               libkf5declarative-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5iconthemes-dev (>= 5.24.0~),
-               libkf5kcmutils-dev (>= 5.24.0~),
-               libkf5wallet-dev (>= 5.24.0~),
-               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.4.0~),
+               libkf5coreaddons-dev (>= 5.4.0~),
+               libkf5dbusaddons-dev (>= 5.4.0~),
+               libkf5declarative-dev (>= 5.4.0~),
+               libkf5i18n-dev (>= 5.4.0~),
+               libkf5iconthemes-dev (>= 5.4.0~),
+               libkf5kcmutils-dev (>= 5.4.0~),
+               libkf5wallet-dev (>= 5.4.0~),
+               libkf5widgetsaddons-dev (>= 5.4.0~),
                libsignon-qt5-dev (>= 8.55~),
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.2.0~),
                xauth,
                xvfb
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kaccounts-integration.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kaccounts-integration.git
 
 Package: libkaccounts1
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kaccounts-integration-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	cd obj-* ; xvfb-run -a ctest -E kaccounts-testnetattachjobs

override_dh_install:
	dh_install --list-missing

## kaccounts-integration 16.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 enable_testing()
 
 set(KDE_APPLICATIONS_VERSION_MAJOR "16")
-set(KDE_APPLICATIONS_VERSION_MINOR "08")
+set(KDE_APPLICATIONS_VERSION_MINOR "12")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 set(KACCOUNTS_SOVERSION "1")

=== debian/changelog ===
kaccounts-integration (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:24:46 +0000

kaccounts-integration (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:13:28 +0000

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,30 @@
 Uploaders: Diane Trout <diane@ghic.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.0.0~),
-               kio-dev (>= 5.4.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libaccounts-glib-dev (>= 1.21~),
                libaccounts-qt5-dev (>= 1.13~),
-               libkf5config-dev (>= 5.4.0~),
-               libkf5coreaddons-dev (>= 5.4.0~),
-               libkf5dbusaddons-dev (>= 5.4.0~),
-               libkf5declarative-dev (>= 5.4.0~),
-               libkf5i18n-dev (>= 5.4.0~),
-               libkf5iconthemes-dev (>= 5.4.0~),
-               libkf5kcmutils-dev (>= 5.4.0~),
-               libkf5wallet-dev (>= 5.4.0~),
-               libkf5widgetsaddons-dev (>= 5.4.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5declarative-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5wallet-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
                libsignon-qt5-dev (>= 8.55~),
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.2.0~),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
                xauth,
                xvfb
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kaccounts-integration.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kaccounts-integration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
 
 Package: libkaccounts1
 Section: libs
@@ -49,7 +49,7 @@
 Architecture: any
 Depends: libaccounts-qt5-dev (>= 1.13~),
          libkaccounts1 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.4.0~),
+         libkf5coreaddons-dev (>= 5.31.0~),
          libsignon-qt5-dev (>= 8.55~),
          ${misc:Depends},
          ${shlibs:Depends}

## kaccounts-integration 17.04.3

=== debian/changelog ===
kaccounts-integration (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:44 +0100

## kaccounts-integration 17.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 enable_testing()
 
-set(KDE_APPLICATIONS_VERSION_MAJOR "16")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
+set(KDE_APPLICATIONS_VERSION_MAJOR "17")
+set(KDE_APPLICATIONS_VERSION_MINOR "08")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 set(KACCOUNTS_SOVERSION "1")
@@ -59,3 +59,4 @@
 add_subdirectory(src)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)

=== debian/changelog ===
kaccounts-integration (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove unused debian/meta/cmake-ignore file.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 15:46:53 +0100

kaccounts-integration (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Drop "deprecated" list missing
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:58:58 +0200

kaccounts-integration (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:56 +0000

kaccounts-integration (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:27 +0000

kaccounts-integration (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:22 +0000

kaccounts-integration (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:11:27 +0000

kaccounts-integration (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:51 +0000

kaccounts-integration (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:45 +0000

kaccounts-integration (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:13 +0000

kaccounts-integration (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:14:48 +0000

kaccounts-integration (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:23:56 +0000

kaccounts-integration (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:44 +0000

kaccounts-integration (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:44 +0000

kaccounts-integration (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:05:36 +0000

kaccounts-integration (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:37 +0000

=== debian/control ===
Source: kaccounts-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0~),
               libaccounts-glib-dev (>= 1.21~),
               libaccounts-qt5-dev (>= 1.13~),
               libkf5config-dev (>= 5.4.0~),
               libkf5coreaddons-dev (>= 5.4.0~),
               libkf5dbusaddons-dev (>= 5.4.0~),
               libkf5declarative-dev (>= 5.4.0~),
               libkf5i18n-dev (>= 5.4.0~),
               libkf5iconthemes-dev (>= 5.4.0~),
               libkf5kcmutils-dev (>= 5.4.0~),
               libkf5kio-dev (>= 5.4.0~),
               libkf5wallet-dev (>= 5.4.0~),
               libkf5widgetsaddons-dev (>= 5.4.0~),
               libsignon-qt5-dev (>= 8.55~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.2.0~),
               xauth,
               xvfb,
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kaccounts-integration.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kaccounts-integration.git

Package: kaccounts-integration
Architecture: any
Depends: libkaccounts1 (= ${binary:Version}),
         signon-kwallet-extension,
         signon-plugin-oauth2,
         signon-plugin-password,
         signon-ui-x11,
         signond,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kaccounts-providers
Breaks: kde-config-telepathy-accounts (<< 17.08),
        libktpcommoninternals9 (<< 17.08),
        ${kde-l10n:all},
Replaces: ${kde-l10n:all}
Description: System to administer web accounts
 Small system to administer web accounts for the sites and services
 across the Plasma desktop, including: Google, Facebook, Owncloud, IMAP,
 Jabber and others.

Package: libkaccounts-dev
Section: libdevel
Architecture: any
Depends: libaccounts-qt5-dev (>= 1.13~),
         libkaccounts1 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.4.0~),
         libsignon-qt5-dev (>= 8.55~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Replaces: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Description: System to administer web accounts - development files
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains development files.

Package: libkaccounts1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kaccounts-providers
Breaks: kaccounts-integration (<= 0.0+git20141209.1543+15.04),
        kaccounts-providers (<< 4:17.08),
        kde-config-telepathy-accounts (<< 17.08),
        kde-telepathy-auth-handler (<< 17.08),
        kde-telepathy-kaccounts (<< 17.08),
Replaces: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Description: System to administer web accounts - shared library
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains the shared library.

Package: qml-module-org-kde-kaccounts
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAccounts QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KAccounts components written
 in QML.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus, openbox
Restrictions: build-needed

## kaccounts-integration 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,11 +9,11 @@
 enable_testing()
 
 set(KDE_APPLICATIONS_VERSION_MAJOR "17")
-set(KDE_APPLICATIONS_VERSION_MINOR "08")
+set(KDE_APPLICATIONS_VERSION_MINOR "12")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 set(KACCOUNTS_SOVERSION "1")
-set(REQUIRED_QT_VERSION "5.2.0")
+set(REQUIRED_QT_VERSION "5.7.0")
 set(REQUIRED_KF5_VERSION "5.4.0")
 set(ACCOUNTSQT_DEP_VERSION "1.13")
 set(SIGNONQT_DEP_VERSION "8.55")

=== debian/changelog ===
kaccounts-integration (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:23:36 +0000

kaccounts-integration (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream beta
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:55:25 +0000

kaccounts-integration (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:02:10 +0000

=== debian/control ===
Source: kaccounts-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libaccounts-glib-dev (>= 1.21~),
               libaccounts-qt5-dev (>= 1.13~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libsignon-qt5-dev (>= 8.55~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration

Package: libkaccounts1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kaccounts-providers
Breaks: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Replaces: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Description: System to administer web accounts - shared library
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains the shared library.

Package: libkaccounts-dev
Section: libdevel
Architecture: any
Depends: libaccounts-qt5-dev (>= 1.13~),
         libkaccounts1 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.31.0~),
         libsignon-qt5-dev (>= 8.55~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Replaces: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Description: System to administer web accounts - development files
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains development files.

Package: qml-module-org-kde-kaccounts
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAccounts QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KAccounts components written
 in QML.

Package: kaccounts-integration
Architecture: any
Depends: libkaccounts1 (= ${binary:Version}),
         signon-kwallet-extension,
         signon-plugin-oauth2,
         signon-plugin-password,
         signon-ui-x11,
         signond,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kaccounts-providers
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: System to administer web accounts
 Small system to administer web accounts for the sites and services
 across the Plasma desktop, including: Google, Facebook, Owncloud, IMAP,
 Jabber and others.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='kaccounts-integration-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	cd obj-* ; xvfb-run -a ctest -E kaccounts-testnetattachjobs

override_dh_install:
	dh_install --list-missing

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## kaccounts-integration 18.04.3

=== debian/changelog ===
kaccounts-integration (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Lib version from 17->18
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:14:25 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                xauth,
-               xvfb
+               xvfb,
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
@@ -52,7 +52,7 @@
          libkf5coreaddons-dev (>= 5.31.0~),
          libsignon-qt5-dev (>= 8.55~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
 Replaces: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
 Description: System to administer web accounts - development files

## kaccounts-integration 18.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 enable_testing()
 
-set(KDE_APPLICATIONS_VERSION_MAJOR "17")
+set(KDE_APPLICATIONS_VERSION_MAJOR "18")
 set(KDE_APPLICATIONS_VERSION_MINOR "12")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== debian/changelog ===
kaccounts-integration (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:25:27 +0000

kaccounts-integration (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:12:50 +0000

kaccounts-integration (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:08:17 +0000

kaccounts-integration (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:46:56 +0000

kaccounts-integration (4:18.08.3-0ubuntu2) disco; urgency=medium

  * Use dbus-run-session in tests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 20:51:02 +0000

kaccounts-integration (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Update kded plugin install path.
    - Lib version from 17->18.
    - Pass -fno-keep-inline-functions to acc test.
    - d/tests: Keep our test setup.
    - Kubuntu Vcs fields.
    - Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 18:02:07 +0000
